{#
/**
 * @file
 * Corporate+'s theme override for the block entity refernece field for the tabs powered custom block
 *
 * @see corporateplus_preprocess_field__block_content__mt_background_image_block()
 */
#}
{{ attach_library('corporateplus/background-image-block') }}
{%
  set classes = [
    'field',
    'field--name-' ~ field_name|clean_class,
    'field--type-' ~ field_type|clean_class,
    'field--label-' ~ label_display,
    'field--mt-background-image-block',
    'clearfix',
  ]
%}
{%
  set title_classes = [
    'field__label',
    label_display == 'inline' ? 'inline',
  ]
%}
<div{{ attributes.addClass(classes) }}>
  {% if not label_hidden %}
    <h3{{ title_attributes.addClass(title_classes) }}>{{ label }}</h3>
  {% endif %}
    <div class="background-image-block__section {{ field_mt_background_image_view }}">
      <div class="background-image {{ field_mt_bg_image_positioning_value }}" style="background-image: url({{ file_url(background_image_uri) }});"></div>
      <div class="background-image-overlay {{ bg_image_overlay_color }}" style="opacity: {{ bg_image_overlay_opacity }};"></div>
      <div class="{{ bg_image_layout_mode }} {{ bg_image_overlay_color }}">
        {% for item in items %}
          {{ item.content }}
        {% endfor %}
      </div>
    </div>
</div>
